Doomsday Engine - Feature #9

Use local server to run single-player games
2013-10-11 10:05 - skyjake

Status: Progressed Start date: 2014-04-18
Priority: High % Done: 0%
Assignee:

Category: Redesign

Target version: Architecture

Description

The objective is to make the engine always run in client/server mode, even locally in single-player games.

Completion of this feature is planned to be a milestone for incrementing the major version number.

Note: On mobile devices (iOS/Android), there still needs to be a way to compile everything into a single binary. In this scenario, the
server and client would be running in the same process and communicate over a simulated network link. It would be necessary to

share cached resources to avoid needless duplication. However, the majority of the engine can remain oblivious to this arrangement.

For more information, see the Unified networking proposal

Related issues:

Related to Feature #1754: Start local server using client GUI New 2014-04-18
Related to Feature #1757: Separate server and client sources New 2014-04-18
Related to Feature #1764: DMU 2.0: Generate network deltas New 2014-04-18
Related to Feature #1766: Server-supplied (i.e., remote) resource files Closed 2014-04-18
Related to Feature #1767: Network delta profiler New 2014-04-18
Related to Bug #2006: [MP] Automap and Inventory left open on player death Closed 2015-03-30
Precedes Feature #1614: Improved demo recording and playback New 2014-04-19
History

#1 - 2013-10-18 14:42 - skyjake
- Category set to Redesign

#2 - 2013-10-22 13:09 - skyjake
- Tags set to Client, Server

- Priority changed from Normal to High

#3 - 2015-02-13 10:21 - skyjake

- Target version changed from 2.0 — Home Ul & Packages to 51

#4 - 2015-05-03 14:18 - skyjake

- Target version changed from 51 to Architecture

#5 - 2015-05-03 19:30 - skyjake
- Assignee deleted (Deng Team)

#6 - 2015-05-09 18:37 - skyjake

- Description updated

#7 - 2015-05-09 19:26 - skyjake
- Related to Bug #2006: [MP] Automap and Inventory left open on player death added

#8 - 2016-07-05 23:54 - skyjake

- Status changed from In Progress to Progressed
http://dengine.net/dew/index.php?title=Unified_networking

#9 - 2019-11-29 20:21 - skyjake

- Subject changed from Unified networking to Use local server to run single-player games
